%define upstream_name    CGI-FormMagick
%define upstream_version 0.91

%global __provides_exclude perl\\(Ness::ted\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    CGI-FormMagick module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
# https://sourceforge.net/projects/formmagick/
Url:        https://metacpan.org/release/%{upstream_name}
# http://gd.tuwien.ac.at/platform/linux/e-smith/devel/SRPMS/perl-CGI-FormMagick-0.91-26.src.rpm
Source0:    perl-%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:     perl-CGI-FormMagick-0.91-02.mitel_patch
Patch1:     perl-CGI-FormMagick-0.91-03.mitel_patch
Patch2:     perl-CGI-FormMagick-0.91-04.mitel_patch
Patch3:     perl-CGI-FormMagick-0.91-05.mitel_patch
Patch4:     perl-CGI-FormMagick-0.91-06.mitel_patch
Patch5:     perl-CGI-FormMagick-0.91-07.mitel_patch
Patch6:     perl-CGI-FormMagick-0.91-08.mitel_patch
Patch7:     perl-CGI-FormMagick-0.91-09.mitel_patch
Patch8:     perl-CGI-FormMagick-0.91-10.mitel_patch
Patch9:     perl-CGI-FormMagick-0.91-11.mitel_patch
Patch10:    perl-CGI-FormMagick-0.91-12.mitel_patch
Patch11:    perl-CGI-FormMagick-0.91-13.mitel_patch
Patch12:    perl-CGI-FormMagick-0.91-14.mitel_patch
Patch13:    perl-CGI-FormMagick-0.91-15.mitel_patch
Patch14:    perl-CGI-FormMagick-0.91-16.mitel_patch
Patch15:    perl-CGI-FormMagick-0.91-17.mitel_patch
Patch16:    perl-CGI-FormMagick-0.91-18.mitel_patch
Patch17:    perl-CGI-FormMagick-0.91-22.mitel_patch
Patch18:    perl-CGI-FormMagick-0.91-23.mitel_patch
Patch19:    perl-CGI-FormMagick-0.91-24.mitel_patch
Patch20:    perl-CGI-FormMagick-0.91-25.mitel_patch
Patch100:   perl-CGI-FormMagick-0.91-export_names.diff
Patch101:   perl-CGI-FormMagick-0.91-version.diff

BuildRequires: perl(CGI::Persistent) >= 0.210.0
BuildRequires: perl(Class::ParamParser) >= 1.40.100
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(I18N::LangTags) >= 0.130.0
BuildRequires: perl(Persistence::Object::Simple) >= 0.470.0
BuildRequires: perl(Test::Inline) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Text::Iconv) >= 1.200.0
BuildRequires: perl(Text::Template) >= 1.400.0
BuildRequires: perl(Time::ParseDate) >= 100.10.0
BuildRequires: perl(XML::Parser) >= 2.300.0
BuildArch:  noarch

%description
FormMagick is a toolkit for easily building fairly complex form-based
web applications.  It allows the developer to specify the structure of a
multi-page "wizard" style form using XML, then display that form using
only a few lines of Perl.

%prep
%setup -q -n perl-%{upstream_name}-%{upstream_version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p1
%patch -P 9 -p1
%patch -P 10 -p1
%patch -P 11 -p1
%patch -P 12 -p1
%patch -P 13 -p1
%patch -P 14 -p1
%patch -P 15 -p1
%patch -P 16 -p1
%patch -P 17 -p1
%patch -P 18 -p1
%patch -P 19 -p1
%patch -P 20 -p1

%patch -P 100 -p1
%patch -P 101 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
# it's not that make test fails some test: it just doesn't work
#make test

%install
%make_install

%files
%doc COPYING Changes INSTALL MYMETA.yml README examples
%{perl_vendorlib}/CGI/FormMagick
%{perl_vendorlib}/CGI/FormMagick.pm
%{_mandir}/*/*

%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.910.0-13.mga10
+ Revision: 2128018
- Rebuild for patchN deprecation

* Sun Mar 20 2022 umeabot <umeabot> 0.910.0-12.mga9
+ Revision: 1802290
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.910.0-11.mga8
+ Revision: 1493488
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.910.0-10.mga7
+ Revision: 1266014
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.910.0-9.mga6
+ Revision: 1023442
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.910.0-8.mga6
+ Revision: 948969
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.910.0-7.mga5
+ Revision: 788751
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.910.0-6.mga5
+ Revision: 744439
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.910.0-5.mga5
+ Revision: 683645
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon Mar 17 2014 jquelin <jquelin> 0.910.0-4.mga5
+ Revision: 604333
- cleaning buildrequires

* Fri Oct 18 2013 umeabot <umeabot> 0.910.0-3.mga4
+ Revision: 509379
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.910.0-2.mga3
+ Revision: 363533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.910.0-1.mga1
+ Revision: 39982
- mageia rebuild
- imported package perl-CGI-FormMagick

